API Endpoint Reference / Print Jobs
Read job state and the exact current Start Print attempt
GET https://api.printhiv3d.com/v1/print-jobs/{id}/control-state
Operation ID getPrintJobControlState. Requires the read API key scope.
Parameters
| Name | In | Type | Required | Description |
|---|
id | path | integer | Yes | |
Responses
| Status | Description |
|---|
200 | Default Response |
404 | Default Response |
409 | Default Response |
503 | Default Response |
200 response fields
| Field | Type | Required | Description |
|---|
jobId | integer | Yes | |
status | string | Yes | |
printerId | string | null | Yes | |
startAttemptId | string | null | Yes | |
stopAvailability | "ready" | "not_ready" | "not_active" | "unsupported" | Yes | |
canCancelWithoutStop | boolean | Yes | |
reason | string | null | Yes | |
printerFamily | string | null | Yes | |
message | string | null | Yes | |
404 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
409 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
503 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
Example 200 response
{
"jobId": 48213,
"status": "PRINTING",
"printerId": "7d3f1c2a-5b8e-4f6a-9c1d-2e4b6a8c0f13",
"startAttemptId": "8b4d1f6a-2c9e-4a37-b5e0-7d3c9a1f2e64",
"stopAvailability": "ready",
"canCancelWithoutStop": false,
"reason": null,
"printerFamily": "P1",
"message": null
}